Package oracle.kv.mgmt.jmx

# Interface RepNodeMXBean

public interface RepNodeMXBean
This MBean represents the RepNode's status, performance metrics, and operational parameters.

The performance metrics are organized into five groups, four of which are characterized by whether they refer to single-operation or multi-operation client activities; as well as whether they reference measurements over the most recent collection interval, or measurements accumulated since the RepNode started. The fifth group consists of measurements that don't fall into one of the first four groups.

1. Single-operation interval metrics. The accessors for these items begin with the prefix `getInterval`.
2. Multi-operation interval metrics. The accessors for these items begin with the prefix `getMultiInterval`.
3. Single-operation cumulative metrics. The accessors for these items begin with the prefix `getCumulative`.
4. Multi-operation cumulative metrics. The accessors for these items begin with the prefix `getMultiCumulative`.
5. Metrics that don't fall into one of the above groups. The accessors for these items begin with the prefix `get`, followed by the metric's name.

Within the first four groups, the accessor's suffix indicates which of the following items are reported.

1. LatAvg is the average latency recorded during the interval.
2. LatMax is the maximum latency
3. LatMin is the minimum latency
4. Pct99 is the 99th percentile latency
5. Pct95 is the 95th percentile latency
6. TotalOps is the number of operations
7. Throughput is number of operations per second
8. End is the timestamp at the end of the measured interval
9. Start is the timestamp at the beginning of the measured interval

Similarly, within the last group of metrics, the accessor's suffix also indicates which of the items are reported.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCacheSize()`
  Returns the size of the BDB-JE cache, in MBytes.
  `boolean`
  `getCollectEnvStats()`
  If true, then the underlying BDB-JE subsystem will dump statistics into a local .stat file.
  `long`
  `getCommitLag()`
  Deprecated.
  as of 18.3.
  `long`
  `getCommitLagThreshold()`
  Deprecated.
  as of 18.3.
  `String`
  `getConfigProperties()`
  Returns Non-default BDB-JE configuration properties.
  `Date`
  `getCumulativeEnd()`
  Returns the timestamp at the end of a cumulative measurement period.
  `float`
  `getCumulativeLatAvg()`
  Returns the average latency for single operations since service startup.
  `int`
  `getCumulativeLatMax()`
  Returns the highest latency measured for single operations since service startup.
  `int`
  `getCumulativeLatMin()`
  Returns the lowest latency measured for single operations since service startup.
  `int`
  `getCumulativePct95()`
  Returns the 95th percentile latency for single operations since service startup.
  `int`
  `getCumulativePct99()`
  Returns the 99th percentile latency for single operations since service startup.
  `Date`
  `getCumulativeStart()`
  Returns the timestamp at the beginning of a cumulative measurement period.
  `long`
  `getCumulativeThroughput()`
  Returns single operations per second since service startup.
  `int`
  `getCumulativeTotalOps()`
  Deprecated.
  as of 19.2, see `getCumulativeTotalOpsLong()`
  `long`
  `getCumulativeTotalOpsLong()`
  Returns the total number of single operations since service startup.
  `String`
  `getEnvMetric()`
  Returns a JSON string containing a bundle of JE environment-related metrics.
  `int`
  `getHeapMB()`
  Returns the size of the Java heap for this Replication Node, in MB.
  `Date`
  `getIntervalEnd()`
  Returns the timestamp at the end of a measured interval.
  `float`
  `getIntervalLatAvg()`
  The average latency for single operations during a measured interval.
  `int`
  `getIntervalLatMax()`
  Returns the highest latency for single operations measured during an interval.
  `int`
  `getIntervalLatMin()`
  Returns the lowest latency for singleton operations measured during an interval.
  `int`
  `getIntervalPct95()`
  Returns the 95th percentile latency for single operations during a measured interval.
  `int`
  `getIntervalPct99()`
  Returns the 99th percentile latency for single operations during a measured interval.
  `Date`
  `getIntervalStart()`
  Returns the timestamp at the beginning of a measured interval.
  `long`
  `getIntervalThroughput()`
  Returns singleton operations per second during a measured interval.
  `int`
  `getIntervalTotalOps()`
  Deprecated.
  as of 19.2, see `getIntervalTotalOpsLong()`
  `long`
  `getIntervalTotalOpsLong()`
  Returns the total number of singleton operations during a measured interval.
  `String`
  `getJavaMiscParams()`
  Returns a string that is added to the command line when the Replication Node process is started.
  `int`
  `getLatencyCeiling()`
  If the Replication Node's latency exceeds this value, a latency ceiling notification will be sent.
  `String`
  `getLoggingConfigProps()`
  Returns property settings for the Logging subsystem.
  `String`
  `getLogMountPoint()`
  Returns the path to the RN log mount point where this Replication Node's logging files are stored.
  `long`
  `getLogMountPointSize()`
  Returns the size of the RN log mount point where this Replication Node's logging files are stored.
  `int`
  `getMaxTrackedLatency()`
  Deprecated.
  as of 20.3.
  `String`
  `getMountPoint()`
  Returns the path to the file system mount point where this Replication Node's files are stored.
  `long`
  `getMountPointSize()`
  Returns the size of the file system mount point where this Replication Node's files are stored.
  `Date`
  `getMultiCumulativeEnd()`
  Returns the timestamp at the end of a cumulative measurement period.
  `float`
  `getMultiCumulativeLatAvg()`
  Returns the average latency for multi-operation sequences since service startup.
  `int`
  `getMultiCumulativeLatMax()`
  Returns the highest latency measured for multi-operation sequences since service startup.
  `int`
  `getMultiCumulativeLatMin()`
  Returns the lowest latency measured for multi-operation sequences since service startup.
  `int`
  `getMultiCumulativePct95()`
  Returns the 95th percentile latency for multi-operation sequences since service startup.
  `int`
  `getMultiCumulativePct99()`
  Returns the 99th percentile latency for multi-operation sequences since service startup.
  `Date`
  `getMultiCumulativeStart()`
  Returns Timestamp of service startup; the start time of a cumulative measurement.
  `long`
  `getMultiCumulativeThroughput()`
  Returns Multi-operations sequences per second since service startup.
  `int`
  `getMultiCumulativeTotalOps()`
  Deprecated.
  as of 19.2, see `getMultiCumulativeTotalOpsLong()`
  `long`
  `getMultiCumulativeTotalOpsLong()`
  Returns the total number of single operations performed in multi-operation sequences since service startup.
  `int`
  `getMultiCumulativeTotalRequests()`
  Deprecated.
  as of 19.2, see `getMultiCumulativeTotalRequestsLong()`
  `long`
  `getMultiCumulativeTotalRequestsLong()`
  Returns the total number of multi operation sequences since service startup.
  `Date`
  `getMultiIntervalEnd()`
  Returns the timestamp at the end of a measured interval.
  `float`
  `getMultiIntervalLatAvg()`
  Returns the average latency for multi-operation sequences during a measured interval.
  `int`
  `getMultiIntervalLatMax()`
  Returns the highest latency measured for multi-operation sequences during a measured interval.
  `int`
  `getMultiIntervalLatMin()`
  Returns the lowest latency measured for multi-operation sequences during a measured interval.
  `int`
  `getMultiIntervalPct95()`
  Returns the 95th percentile latency for multi-operation sequences during a measured interval.
  `int`
  `getMultiIntervalPct99()`
  Returns the 99th percentile latency for multi-operation sequences during a measured interval.
  `Date`
  `getMultiIntervalStart()`
  Returns the timestamp at the beginning of a measured interval.
  `long`
  `getMultiIntervalThroughput()`
  Returns multi-operations sequences per second during a measured interval.
  `int`
  `getMultiIntervalTotalOps()`
  Deprecated.
  as of 19.2, see `getMultiIntervalTotalOpsLong()`
  `long`
  `getMultiIntervalTotalOpsLong()`
  Returns the total number of single operations performed in multi-operation sequences during a measured interval.
  `int`
  `getMultiIntervalTotalRequests()`
  Deprecated.
  as of 19.2, see `getMultiIntervalTotalRequestsLong()`
  `long`
  `getMultiIntervalTotalRequestsLong()`
  Returns the total number of multi-operation sequences during a measured interval.
  `String`
  `getOpMetric()`
  Returns a JSON string containing a bundle of operation-related metrics.
  `String`
  `getReplicationState()`
  Returns the replication state of the node, as of the most recent report.
  `String`
  `getRepNodeId()`
  Returns the RepNodeId, in its String form.
  `String`
  `getServiceStatus()`
  Returns the reported service status of the Replication Node.
  `int`
  `getStatsInterval()`
  Returns the collection period for latency statistics, in sec.
  `int`
  `getThroughputFloor()`
  Returns the lower bound on Replication Node throughput.

- ## Method Details

  - ### getRepNodeId

    String getRepNodeId()
    Returns the RepNodeId, in its String form.

  - ### getServiceStatus

    String getServiceStatus()
    Returns the reported service status of the Replication Node.

  - ### getIntervalLatAvg

    float getIntervalLatAvg()
    The average latency for single operations during a measured interval.

  - ### getIntervalLatMax

    int getIntervalLatMax()
    Returns the highest latency for single operations measured during an interval.

  - ### getIntervalLatMin

    int getIntervalLatMin()
    Returns the lowest latency for singleton operations measured during an interval.

  - ### getIntervalPct95

    int getIntervalPct95()
    Returns the 95th percentile latency for single operations during a measured interval.

  - ### getIntervalPct99

    int getIntervalPct99()
    Returns the 99th percentile latency for single operations during a measured interval.

  - ### getIntervalTotalOps

    @Deprecated int getIntervalTotalOps()
    Deprecated.
    as of 19.2, see `getIntervalTotalOpsLong()`
    Returns the total number of singleton operations during a measured interval as an int.

  - ### getIntervalTotalOpsLong

    long getIntervalTotalOpsLong()
    Returns the total number of singleton operations during a measured interval.
    Since:
      19.2

  - ### getIntervalEnd

    Date getIntervalEnd()
    Returns the timestamp at the end of a measured interval.

  - ### getIntervalStart

    Date getIntervalStart()
    Returns the timestamp at the beginning of a measured interval.

  - ### getIntervalThroughput

    long getIntervalThroughput()
    Returns singleton operations per second during a measured interval.

  - ### getCumulativeLatAvg

    float getCumulativeLatAvg()
    Returns the average latency for single operations since service startup.

  - ### getCumulativeLatMax

    int getCumulativeLatMax()
    Returns the highest latency measured for single operations since service startup.

  - ### getCumulativeLatMin

    int getCumulativeLatMin()
    Returns the lowest latency measured for single operations since service startup.

  - ### getCumulativePct95

    int getCumulativePct95()
    Returns the 95th percentile latency for single operations since service startup.

  - ### getCumulativePct99

    int getCumulativePct99()
    Returns the 99th percentile latency for single operations since service startup.

  - ### getCumulativeTotalOps

    @Deprecated int getCumulativeTotalOps()
    Deprecated.
    as of 19.2, see `getCumulativeTotalOpsLong()`
    Returns the total number of single operations since service startup as an int.

  - ### getCumulativeTotalOpsLong

    long getCumulativeTotalOpsLong()
    Returns the total number of single operations since service startup.
    Since:
      19.2

  - ### getCumulativeEnd

    Date getCumulativeEnd()
    Returns the timestamp at the end of a cumulative measurement period.

  - ### getCumulativeStart

    Date getCumulativeStart()
    Returns the timestamp at the beginning of a cumulative measurement period.

  - ### getCumulativeThroughput

    long getCumulativeThroughput()
    Returns single operations per second since service startup.

  - ### getMultiIntervalLatAvg

    float getMultiIntervalLatAvg()
    Returns the average latency for multi-operation sequences during a measured interval.

  - ### getMultiIntervalLatMax

    int getMultiIntervalLatMax()
    Returns the highest latency measured for multi-operation sequences during a measured interval.

  - ### getMultiIntervalLatMin

    int getMultiIntervalLatMin()
    Returns the lowest latency measured for multi-operation sequences during a measured interval.

  - ### getMultiIntervalPct95

    int getMultiIntervalPct95()
    Returns the 95th percentile latency for multi-operation sequences during a measured interval.

  - ### getMultiIntervalPct99

    int getMultiIntervalPct99()
    Returns the 99th percentile latency for multi-operation sequences during a measured interval.

  - ### getMultiIntervalTotalOps

    @Deprecated int getMultiIntervalTotalOps()
    Deprecated.
    as of 19.2, see `getMultiIntervalTotalOpsLong()`
    Returns the total number of single operations performed in multi-operation sequences during a measured interval as an int.

  - ### getMultiIntervalTotalOpsLong

    long getMultiIntervalTotalOpsLong()
    Returns the total number of single operations performed in multi-operation sequences during a measured interval.
    Since:
      19.2

  - ### getMultiIntervalTotalRequests

    @Deprecated int getMultiIntervalTotalRequests()
    Deprecated.
    as of 19.2, see `getMultiIntervalTotalRequestsLong()`
    Returns the total number of multi-operation sequences during a measured interval as an int.

  - ### getMultiIntervalTotalRequestsLong

    long getMultiIntervalTotalRequestsLong()
    Returns the total number of multi-operation sequences during a measured interval.
    Since:
      19.2

  - ### getMultiIntervalEnd

    Date getMultiIntervalEnd()
    Returns the timestamp at the end of a measured interval.

  - ### getMultiIntervalStart

    Date getMultiIntervalStart()
    Returns the timestamp at the beginning of a measured interval.

  - ### getMultiIntervalThroughput

    long getMultiIntervalThroughput()
    Returns multi-operations sequences per second during a measured interval.

  - ### getMultiCumulativeLatAvg

    float getMultiCumulativeLatAvg()
    Returns the average latency for multi-operation sequences since service startup.

  - ### getMultiCumulativeLatMax

    int getMultiCumulativeLatMax()
    Returns the highest latency measured for multi-operation sequences since service startup.

  - ### getMultiCumulativeLatMin

    int getMultiCumulativeLatMin()
    Returns the lowest latency measured for multi-operation sequences since service startup.

  - ### getMultiCumulativePct95

    int getMultiCumulativePct95()
    Returns the 95th percentile latency for multi-operation sequences since service startup.

  - ### getMultiCumulativePct99

    int getMultiCumulativePct99()
    Returns the 99th percentile latency for multi-operation sequences since service startup.

  - ### getMultiCumulativeTotalOps

    @Deprecated int getMultiCumulativeTotalOps()
    Deprecated.
    as of 19.2, see `getMultiCumulativeTotalOpsLong()`
    Returns the total number of single operations performed in multi-operation sequences since service startup as an int.

  - ### getMultiCumulativeTotalOpsLong

    long getMultiCumulativeTotalOpsLong()
    Returns the total number of single operations performed in multi-operation sequences since service startup.
    Since:
      19.2

  - ### getMultiCumulativeTotalRequests

    @Deprecated int getMultiCumulativeTotalRequests()
    Deprecated.
    as of 19.2, see `getMultiCumulativeTotalRequestsLong()`
    Returns the total number of multi operation sequences since service startup as an int.

  - ### getMultiCumulativeTotalRequestsLong

    long getMultiCumulativeTotalRequestsLong()
    Returns the total number of multi operation sequences since service startup.
    Since:
      19.2

  - ### getMultiCumulativeEnd

    Date getMultiCumulativeEnd()
    Returns the timestamp at the end of a cumulative measurement period.

  - ### getMultiCumulativeStart

    Date getMultiCumulativeStart()
    Returns Timestamp of service startup; the start time of a cumulative measurement.

  - ### getMultiCumulativeThroughput

    long getMultiCumulativeThroughput()
    Returns Multi-operations sequences per second since service startup.

  - ### getCommitLag

    @Deprecated long getCommitLag()
    Deprecated.
    as of 18.3. The values returned by this method were undependable because they could be influenced by clock skew. Use the JE replicaAvgDelayMsMap stat instead.

  - ### getConfigProperties

    String getConfigProperties()
    Returns Non-default BDB-JE configuration properties.

  - ### getJavaMiscParams

    String getJavaMiscParams()
    Returns a string that is added to the command line when the Replication Node process is started.

  - ### getLoggingConfigProps

    String getLoggingConfigProps()
    Returns property settings for the Logging subsystem.

  - ### getCollectEnvStats

    boolean getCollectEnvStats()
    If true, then the underlying BDB-JE subsystem will dump statistics into a local .stat file.

  - ### getCacheSize

    int getCacheSize()
    Returns the size of the BDB-JE cache, in MBytes.

  - ### getMaxTrackedLatency

    @Deprecated int getMaxTrackedLatency()
    Deprecated.
    as of 20.3. There is no longer a cap on the latency for tracking.

  - ### getStatsInterval

    int getStatsInterval()
    Returns the collection period for latency statistics, in sec.

  - ### getHeapMB

    int getHeapMB()
    Returns the size of the Java heap for this Replication Node, in MB.

  - ### getMountPoint

    String getMountPoint()
    Returns the path to the file system mount point where this Replication Node's files are stored.

  - ### getMountPointSize

    long getMountPointSize()
    Returns the size of the file system mount point where this Replication Node's files are stored.

  - ### getLogMountPoint

    String getLogMountPoint()
    Returns the path to the RN log mount point where this Replication Node's logging files are stored.

  - ### getLogMountPointSize

    long getLogMountPointSize()
    Returns the size of the RN log mount point where this Replication Node's logging files are stored.

  - ### getLatencyCeiling

    int getLatencyCeiling()
    If the Replication Node's latency exceeds this value, a latency ceiling notification will be sent.

  - ### getThroughputFloor

    int getThroughputFloor()
    Returns the lower bound on Replication Node throughput. Lower throughput reports will cause a throughput floor notification to be sent.

  - ### getCommitLagThreshold

    @Deprecated long getCommitLagThreshold()
    Deprecated.
    as of 18.3. No longer supported now that getCommitLag is not supported.

  - ### getReplicationState

    String getReplicationState()
    Returns the replication state of the node, as of the most recent report.
    See Also:
      - `ReplicatedEnvironment.State`

  - ### getOpMetric

    String getOpMetric()
    Returns a JSON string containing a bundle of operation-related metrics. These metrics are also reported by the notification oracle.kv.repnode.opmetric, which is described in the Run Book.
    See Also:
      - Software Monitoring

  - ### getEnvMetric

    String getEnvMetric()
    Returns a JSON string containing a bundle of JE environment-related metrics. These metrics are also reported by the notification oracle.kv.repnode.envmetric, which is described in the RunBook.
    See Also:
      - Software Monitoring